libgtksourceviewmm: gtksourceview::SourceStyleSchemeManager Class Reference

# gtksourceview::SourceStyleSchemeManager Class Reference

`#include <sourcestyleschememanager.h>`

List of all members.

## Public Types
typedef SourceStyleSchemeManager | CppObjectType
typedef SourceStyleSchemeManager_Class | CppClassType
typedef GtkSourceStyleSchemeManager | BaseObjectType
typedef GtkSourceStyleSchemeManagerClass | BaseClassType
## Public Member Functions
virtual | ~SourceStyleSchemeManager ()
GtkSourceStyleSchemeManager * | gobj ()
| Provides access to the underlying C GObject.
const GtkSourceStyleSchemeManager * | gobj () const
| Provides access to the underlying C GObject.
GtkSourceStyleSchemeManager * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | append_search_path (const Glib::ustring &path)
void | prepend_search_path (const Glib::ustring &path)
Glib::RefPtr< SourceStyleScheme > | get_scheme (const Glib::ustring &scheme_id)
Glib::RefPtr< const SourceStyleScheme > | get_scheme (const Glib::ustring &scheme_id) const
void | force_rescan ()
## Static Public Member Functions
static GType | get_type () G_GNUC_CONST
static GType | get_base_type () G_GNUC_CONST
static Glib::RefPtr < SourceStyleSchemeManager > | create ()
static Glib::RefPtr < SourceStyleSchemeManager > | get_default ()
## Protected Member Functions
| SourceStyleSchemeManager (const Glib::ConstructParams &construct_params)
| SourceStyleSchemeManager (GtkSourceStyleSchemeManager *castitem)
| SourceStyleSchemeManager ()
## Friends
class | SourceStyleSchemeManager_Class
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < gtksourceview::SourceStyleSchemeManager > | wrap (GtkSourceStyleSchemeManager *object, bool take_copy=false)

## Member Typedef Documentation

typedef SourceStyleSchemeManager gtksourceview::SourceStyleSchemeManager::CppObjectType

typedef SourceStyleSchemeManager_Class gtksourceview::SourceStyleSchemeManager::CppClassType

typedef GtkSourceStyleSchemeManager gtksourceview::SourceStyleSchemeManager::BaseObjectType

typedef GtkSourceStyleSchemeManagerClass gtksourceview::SourceStyleSchemeManager::BaseClassType

## Constructor & Destructor Documentation

gtksourceview::SourceStyleSchemeManager::SourceStyleSchemeManager | ( | const Glib::ConstructParams & | construct_params | ) | `[explicit, protected]`

gtksourceview::SourceStyleSchemeManager::SourceStyleSchemeManager | ( | GtkSourceStyleSchemeManager * | castitem | ) | `[explicit, protected]`

virtual gtksourceview::SourceStyleSchemeManager::~SourceStyleSchemeManager | ( |  | ) | `[virtual]`

gtksourceview::SourceStyleSchemeManager::SourceStyleSchemeManager | ( |  | ) | `[protected]`

## Member Function Documentation

static GType gtksourceview::SourceStyleSchemeManager::get_type | ( |  | ) | `[static]`

static GType gtksourceview::SourceStyleSchemeManager::get_base_type | ( |  | ) | `[static]`

GtkSourceStyleSchemeManager* gtksourceview::SourceStyleSchemeManager::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

const GtkSourceStyleSchemeManager* gtksourceview::SourceStyleSchemeManager::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

GtkSourceStyleSchemeManager* gtksourceview::SourceStyleSchemeManager::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

static Glib::RefPtr<SourceStyleSchemeManager> gtksourceview::SourceStyleSchemeManager::create | ( |  | ) | `[static]`

static Glib::RefPtr<SourceStyleSchemeManager> gtksourceview::SourceStyleSchemeManager::get_default | ( |  | ) | `[static]`

void gtksourceview::SourceStyleSchemeManager::append_search_path | ( | const Glib::ustring & | path | ) |

Appends path to the list of directories where the manager looks for style scheme files. See set_search_path() for details.

Parameters:

  | path | A directory or a filename.

void gtksourceview::SourceStyleSchemeManager::prepend_search_path | ( | const Glib::ustring & | path | ) |

Prepends path to the list of directories where the manager looks for style scheme files. See set_search_path() for details.

Parameters:

  | path | A directory or a filename.

Glib::RefPtr<SourceStyleScheme> gtksourceview::SourceStyleSchemeManager::get_scheme | ( | const Glib::ustring & | scheme_id | ) |

Looks up style scheme by id.

Parameters:

  | scheme_id | Style scheme id to find.

Returns:
  A Gtk::SourceStyleScheme object. Returned value is owned by manager and must not be unref'ed.

Glib::RefPtr<const SourceStyleScheme> gtksourceview::SourceStyleSchemeManager::get_scheme | ( | const Glib::ustring & | scheme_id | ) | const

Looks up style scheme by id.

Parameters:

  | scheme_id | Style scheme id to find.

Returns:
  A Gtk::SourceStyleScheme object. Returned value is owned by manager and must not be unref'ed.

void gtksourceview::SourceStyleSchemeManager::force_rescan | ( |  | ) |

Mark any currently cached information about the available style scehems as invalid. All the available style schemes will be reloaded next time the manager is accessed.

## Friends And Related Function Documentation

friend class SourceStyleSchemeManager_Class`[friend]`

Glib::RefPtr< gtksourceview::SourceStyleSchemeManager > wrap | ( | GtkSourceStyleSchemeManager * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- sourcestyleschememanager.h